Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Jeff Garzik <[email-masked]>
Date: Mon, 19 May 2014 19:49:52 -0400

On Mon, May 19, 2014 at 4:36 PM, Robert McKay <[email-masked]> wrote:
> It should be possible to configure bind as a DNS forwarder.. this can
> be done in a zone context.. then you can forward the different zones to
> different dnsseed daemons running on different non-public IPs or two
> different ports on the same IP (or on one single non-public IP since
> there's really no reason to expose the dnsseed directly daemon at all).

Quite the opposite.  dnsseed data rotates through a lot of addresses
if available.  Using the bind/zone-xfer system would result in fewer
total addresses going through to the clients, thanks to the addition
of caching levels that the bind/zone-xfer system brings.

That said, if the choice is between no-service and bind, bind it is ;p

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/